/* table base styles */

table {
  font-size: $(font_size_small);
  line-height: $(line_height_compact);

  .row-button {
    display: inline-block;
    overflow: hidden;
    white-space: nowrap;
    text-indent: 100%;
    width: $(line_height_base);
    height: $(line_height_base);
    background: $(color_accent);
    vertical-align: middle;
    position: relative;
    color: #fff !important;

    &:first-child {
      border-top-left-radius: $(border_radius_accent);
      border-bottom-left-radius: $(border_radius_accent);
    }

    &:last-child {
      border-top-right-radius: $(border_radius_accent);
      border-bottom-right-radius: $(border_radius_accent);
    }

    &:after {
      content: "\f059";
      font-family: "Font Awesome 5 Free";
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      line-height: $(line_height_base);
      text-align: center;
      text-indent: 0;
      opacity: 0.8;
      color: inherit !important;
      font-weight: 900;
    }

    &:hover:after {
      opacity: 1;
    }

    &.row-delete {
      background: $(color_error);

      &:after {
        content: '\f2ed';
      }
    }

    &.row-block {
      background: $(color_error);

      &:after {
        content: '\f05e';
      }
    }

    &.row-downvote {
      background: $(color_warning);

      &:after {
        content: '\f063';
      }
    }

    &.row-upvote {
      background: $(color_confirmation);

      &:after {
        content: '\f062';
      }
    }

    &.row-unlink {
      background: $(color_warning);

      &:after {
        content: '\f127';
      }
    }

    &.row-edit {
      background: $(color_confirmation);

      &:after {
        content: '\f044';
      }
    }

    &.row-edit {
      background: $(color_confirmation);

      &:after {
        content: '\f303';
      }
    }

    &.row-create-item {
      background: $(color_notice);

      &:after {
        content: '\f067';
      }
    }

    &.row-create-person {
      background: $(color_notice);

      &:after {
        content: '\f234';
      }
    }

    &.row-tag-person {
      background: $(color_notice);

      &:after {
        content: '\f507';
      }
    }
  }
}

td,
th {
  padding: 0.25em 0.5em;
}

th {
  background-color: $(color_accent);
  color: #fff;
  font-weight: bold;

  a {
    color: #fff!important;
  }

  &:first-child {
    border-top-left-radius: $(border_radius_accent);
  }

  &:last-child {
    border-top-right-radius: $(border_radius_accent);
  }
}

tr.highlighted,
tr.highlighted-notice {
  background-color: a-adjust($(color_notice) -80);
}

tr.highlighted-warning {
  background-color: a-adjust($(color_warning) -80);
}

tr.highlighted-confirmation {
  background-color: a-adjust($(color_confirmation) -80);
}

tr.highlighted-error {
  background-color: a-adjust($(color_error) -80);
}

tr:nth-child(odd) td {
  background-color: $(color_shade);
}
